<div class="sideheader" [class]="this.menuState?'active':''">
    <div class="menu_btn"  >
        <a (click)="menuState = !menuState" class="menu_icon" href="#" title=""><i></i></a>
    </div>
    <div class="menu_list">
        <ul>
            <li *ngFor="let menuData of menuItems; let i = index ">
                <a  routerLink="/" routerLinkActive="active" title=""  (click)="showDropdown[i] = !showDropdown[i]">
                    <i class="{{menuData.Icon}}"></i>   
                    <span>{{menuData.Name}}</span>
                </a>
                <div *ngIf="showDropdown[i]" >
                    <ul>
                        <li  *ngFor="let childData of menuItems[i].Child">
                            <a href="#" title="">
                                <i class="{{childData.Icon}}"></i>   
                                <span>{{childData.Name}}</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </li>
            
        </ul>
    </div>
        
</div>
